"""Modifies target-oi -> oi_target_number, target_ri -> ri_target_percent

Revision ID: bbe1d7fda607
Revises: 371fc6b48f44
Create Date: 2018-03-08 12:51:30.040056

"""

# revision identifiers, used by Alembic.
revision = 'bbe1d7fda607'
down_revision = '371fc6b48f44'

from alembic import op
import sqlalchemy as sa


INSERTS = """"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('beneficiarys', sa.Column('oi_target_number', sa.Integer(), nullable=True))
    op.add_column('beneficiarys', sa.Column('ri_target_percent', sa.Integer(), nullable=True))
    op.drop_column('beneficiarys', 'target_ri')
    op.drop_column('beneficiarys', 'target_oi')
    # ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('beneficiarys', sa.Column('target_oi', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('beneficiarys', sa.Column('target_ri', sa.INTEGER(), autoincrement=False, nullable=True))
    op.drop_column('beneficiarys', 'ri_target_percent')
    op.drop_column('beneficiarys', 'oi_target_number')
    # ### end Alembic commands ###
    iter_statements(DELETES)